#
# Conditional build:
%bcond_without	nautilus	# Nautilus extension
%bcond_without	transparency	# restore transparency feature
%bcond_without	search_provider	# build GNOME Shell search provder

Summary:	GNOME Terminal
Summary(pl.UTF-8):	Terminal dla GNOME
Name:		gnome-terminal
Version:	3.44.2
Release:	1
License:	GPL v3+
Group:		X11/Applications
# up to 3.44.1
#Source0:	https://download.gnome.org/sources/gnome-terminal/3.44/%{name}-%{version}.tar.xz
#SourceDownload: https://gitlab.gnome.org/GNOME/gnome-terminal/-/tags
Source0:	https://gitlab.gnome.org/GNOME/gnome-terminal/-/archive/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	7c9343301e592d85d85a341cdb3ffa9e
Patch1:		%{name}-transparency.patch
URL:		https://wiki.gnome.org/Apps/Terminal/
BuildRequires:	dconf-devel >= 0.14
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.52.0
%{?with_search_provider:BuildRequires:	gnome-shell-devel >= 3.12.0}
BuildRequires:	gsettings-desktop-schemas-devel >= 0.1.0
BuildRequires:	gtk+3-devel >= 3.22.27
BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	libuuid-devel
BuildRequires:	libxml2-progs
BuildRequires:	libxslt-progs
BuildRequires:	meson >= 0.49.0
%{?with_nautilus:BuildRequires:	nautilus-devel >= 3.28.0}
BuildRequires:	ninja >= 1.5
BuildRequires:	pcre2-8-devel >= 10.00
BuildRequires:	pkgconfig >= 1:0.12.0
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	vte-devel >= 0.68.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.52.0
Requires:	dconf >= 0.14
Requires:	glib2 >= 1:2.52.0
Requires:	gsettings-desktop-schemas >= 0.1.0
Requires:	gtk+3 >= 3.22.27
Requires:	terminfo
Requires:	vte >= 0.68.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a terminal thing that isn't finished at all.

%description -l pl.UTF-8
To jest terminal, na razie całkowicie nie dokończony.

%package -n nautilus-extension-terminal
Summary:	GNOME Terminal extension for Nautilus
Summary(pl.UTF-8):	Rozszerzenie GNOME Terminal dla Nautilusa
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus >= 3.28.0
Obsoletes:	nautilus-open-terminal < 0.20-2

%description -n nautilus-extension-terminal
This package provides a Nautilus extension that adds the 'Open in
Terminal' option to the right-click context menu in Nautilus.

%description -n nautilus-extension-terminal -l pl.UTF-8
Ten pakiet dostarcza rozszerzenie Nautilusa dodające opcję "Otwórz w
terminalu" do menu kontekstowego uaktywnianego prawym klawiszem myszy
w Nautilusie.

%prep
%setup -q
%{?with_transparency:%patch1 -p1}

%build
%meson build \
	%{!?with_nautilus:-Dnautilus_extension=false} \
	%{!?with_search_provider:-Dsearch_provider=false}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
if [ "$1" = "0" ]; then
	%glib_compile_schemas
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/gnome-terminal
%attr(755,root,root) %{_libexecdir}/gnome-terminal-server
%dir %{_libdir}/gnome-terminal
%{_libdir}/gnome-terminal/gschemas.compiled
%{_datadir}/dbus-1/services/org.gnome.Terminal.service
%{_datadir}/glib-2.0/schemas/org.gnome.Terminal.gschema.xml
%{?with_search_provider:%{_datadir}/gnome-shell/search-providers/gnome-terminal-search-provider.ini}
%{_datadir}/metainfo/org.gnome.Terminal.metainfo.xml
%{_desktopdir}/org.gnome.Terminal.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Terminal.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Terminal-symbolic.svg
%{systemduserunitdir}/gnome-terminal-server.service
%{_mandir}/man1/gnome-terminal.1*

%if %{with nautilus}
%files -n nautilus-extension-terminal
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/nautilus/extensions-3.0/libterminal-nautilus.so
%{_datadir}/metainfo/org.gnome.Terminal.Nautilus.metainfo.xml
%endif
%changelog
* Mon Dec 05 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-terminal.git;a=log;h=master

* Mon Dec 05 2022 Jakub Bogusz <qboosh@pld-linux.org> aefadc6
- updated to 3.44.2

* Sun Jun 05 2022 Jakub Bogusz <qboosh@pld-linux.org> 326eb6d
- updated to 3.44.1
- updated transparency patch

* Sat Dec 04 2021 Jakub Bogusz <qboosh@pld-linux.org> 2d5a619
- updated to 3.42.2

* Sun Oct 31 2021 Jan Rękorajski <baggins@pld-linux.org> 3a474fa
- Release 2 (by relup.sh)

* Sat Oct 30 2021 Jakub Bogusz <qboosh@pld-linux.org> c829ebd
- updated to 3.42.1
- updated transparency patch

* Tue Sep 28 2021 Jakub Bogusz <qboosh@pld-linux.org> b3bfe55
- rediffed

* Mon Sep 27 2021 Jakub Bogusz <qboosh@pld-linux.org> 69a77a7
- updated to 3.42.0; uses meson now
- updated transparency patch

* Fri Jul 09 2021 Jakub Bogusz <qboosh@pld-linux.org> 32c3ed3
- updated to 3.40.3

* Mon Jun 07 2021 Jakub Bogusz <qboosh@pld-linux.org> fce9038
- updated to 3.40.2

* Thu May 06 2021 Jakub Bogusz <qboosh@pld-linux.org> 5a7913e
- updated to 3.40.1
- updated transparency patch

* Sat Apr 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 8a5b6f7
- rediffed

* Fri Apr 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 2e2de37
- updated to 3.40.0

* Sun Feb 14 2021 Jan Palus <atler@pld-linux.org> 1f26422
- add bcond for disabling GNOME Shell search provider

* Sun Feb 14 2021 Jan Palus <atler@pld-linux.org> c1027a6
- correct flag when building without nautilus (on by default)

* Sun Feb 14 2021 Jakub Bogusz <qboosh@pld-linux.org> 4fc9031
- updated to 3.38.3

* Sat Jan 09 2021 Jakub Bogusz <qboosh@pld-linux.org> e9c7f47
- updated to 3.38.2

* Thu Oct 08 2020 Jakub Bogusz <qboosh@pld-linux.org> db63109
- updated to 3.38.1

* Sun Sep 20 2020 Jakub Bogusz <qboosh@pld-linux.org> 636978f
- updated to 3.38.0
- updated transparency patch

* Mon Jun 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 4de6f86
- updated to 3.36.2
- updated transparency patch

* Fri Nov 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 385d851
- updated to 3.34.2
- updated transparency patch

